
From: norbert_wolff@t-online.de (Norbert Wolff)

In arch/i386/mm/hugetlbpage.c htlbzone_pages and htlbpage_freelist are
declared static at the Top of the File and later in set_hugetlb_mem_size()
as extern.

gcc-3.4 does not accept this conflict.



 25-akpm/arch/i386/mm/hugetlbpage.c |    4 ----
 25-akpm/arch/ia64/mm/hugetlbpage.c |    5 +----
 2 files changed, 1 insertion(+), 8 deletions(-)

diff -puN arch/i386/mm/hugetlbpage.c~hugetlbpage-extern-fix arch/i386/mm/hugetlbpage.c
--- 25/arch/i386/mm/hugetlbpage.c~hugetlbpage-extern-fix	Fri May  9 13:30:50 2003
+++ 25-akpm/arch/i386/mm/hugetlbpage.c	Fri May  9 13:37:29 2003
@@ -20,8 +20,6 @@
 #include <asm/tlb.h>
 #include <asm/tlbflush.h>
 
-#include <linux/sysctl.h>
-
 static long    htlbpagemem;
 int     htlbpage_max;
 static long    htlbzone_pages;
@@ -398,8 +396,6 @@ int set_hugetlb_mem_size(int count)
 {
 	int lcount;
 	struct page *page;
-	extern long htlbzone_pages;
-	extern struct list_head htlbpage_freelist;
 
 	if (count < 0)
 		lcount = count;
diff -puN arch/ia64/mm/hugetlbpage.c~hugetlbpage-extern-fix arch/ia64/mm/hugetlbpage.c
--- 25/arch/ia64/mm/hugetlbpage.c~hugetlbpage-extern-fix	Fri May  9 13:31:01 2003
+++ 25-akpm/arch/ia64/mm/hugetlbpage.c	Fri May  9 13:37:44 2003
@@ -12,13 +12,12 @@
 #include <linux/pagemap.h>
 #include <linux/smp_lock.h>
 #include <linux/slab.h>
+#include <linux/sysctl.h>
 #include <asm/mman.h>
 #include <asm/pgalloc.h>
 #include <asm/tlb.h>
 #include <asm/tlbflush.h>
 
-#include <linux/sysctl.h>
-
 #define TASK_HPAGE_BASE (REGION_HPAGE << REGION_SHIFT)
 
 static long    htlbpagemem;
@@ -392,8 +391,6 @@ int set_hugetlb_mem_size(int count)
 {
 	int  lcount;
 	struct page *page ;
-	extern long htlbzone_pages;
-	extern struct list_head htlbpage_freelist;
 
 	if (count < 0)
 		lcount = count;

_
